## ros-iron-ros2lifecycle 0.25.3

=== debian/changelog ===
ros-iron-ros2lifecycle (0.25.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.25.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.25.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.25.0-1jammy) jammy; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.24.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.24.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.23.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.22.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-ros2lifecycle (0.21.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.20.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.18.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.18.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.18.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.16.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-iron-ros2lifecycle (0.14.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-ros2lifecycle (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-ros2lifecycle (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-iron-ros2lifecycle (0.11.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-ros2lifecycle (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.5-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle (0.9.0-1jammy) jammy; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.

