=== debian/control ===
Source: ros-iron-ros2lifecycle
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-pytest-timeout <!nocheck>, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-ament-xmllint <!nocheck>, ros-iron-launch <!nocheck>, ros-iron-launch-ros <!nocheck>, ros-iron-launch-testing <!nocheck>, ros-iron-launch-testing-ros <!nocheck>, ros-iron-ros2lifecycle-test-fixtures <!nocheck>, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ros2lifecycle
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-iron-lifecycle-msgs, ros-iron-rclpy, ros-iron-ros2cli, ros-iron-ros2node, ros-iron-ros2service, ros-iron-ros-workspace
Description: The lifecycle command for ROS 2 command line tools.
